Bug 812770 - Removing multiple bricks simultaneously causes data loss
Removing multiple bricks simultaneously causes data loss
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
pre-release
x86_64 Linux
urgent Severity urgent
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-04-16 04:00 EDT by shylesh
Modified: 2015-12-01 11:45 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 14:01:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 3.3.0qa36
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shylesh 2012-04-16 04:00:15 EDT
Description of problem:
Removing multiple bricks at the same time causes data loss

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. create a distribute volume with 3 bricks
2. fill up with some data and count the number of files created
3. Now start remove-brick after the remove-brick completes commit the operation
4. check the number of files on the mount point 
  
Actual results:
After Remove-brick commit causes data loss.


Expected results:


Additional info:
Comment 1 shylesh 2012-04-16 04:01:22 EDT
Remove multiple bricks at the same time, actually this scenario is causing data loss.
Comment 2 Amar Tumballi 2012-04-17 07:01:50 EDT
not able to reproducible even in Shylesh's setup (also in my setup). Asked him to run it multiple times, if not reproduced, we should take this out from beta blocker
Comment 3 Amar Tumballi 2012-04-17 15:07:13 EDT
sent a patch for fixing the issue of remove-brick (more than 2 bricks involving two different nodes) at http://review.gluster.com/3173. Need to test this before committing.

Shylesh, please fetch the patch and run the tests, confirm the behavior.
Comment 4 Anand Avati 2012-04-18 09:25:47 EDT
CHANGE: http://review.gluster.com/3173 (glusterd (remove-brick): fix data-loss issue) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 5 shylesh 2012-04-20 06:01:13 EDT
Works fine  on 3.3.0qa36

Note You need to log in before you can comment on or make changes to this bug.